Subject: bug#7996: closed (Re: bug#7996: bzr trunk compile error due to calc.texi)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Feb 2011 02:49:02 +0000

Your bug report

#7996: bzr trunk compile error due to calc.texi

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7996: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7996
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7996: bzr trunk compile error due to calc.texi
From: Jay Belanger <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sun, 06 Feb 2011 20:57:59 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked], Richard Kim <[email-masked]>
writes:

> Latest bzr trunk code (revision 103161) fails to compile on a redhat 4
> system due to this error when I do "make bootstrap":
...

Thanks; as you noted it was due to an unintended line break.  It's
already been fixed.

Jay

Subject: bzr trunk compile error due to calc.texi
From: [email-masked]
To: [email-masked]
Date: Sun, 06 Feb 2011 18:08:42 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Latest bzr trunk code (revision 103161) fails to compile on a redhat 4
system due to this error when I do "make bootstrap":

    cd .../kimr/src/emacs-bzr/trunk/doc/misc; /usr/bin/makeinfo --force -I.../kimr/src/emacs-bzr/trunk/doc/misc/../emacs calc.texi
    calc.texi:28144: Misplaced {.
    calc.texi:28144: Misplaced }.
    calc.texi:28144: Misplaced {.
    calc.texi:28144: Misplaced }.
    calc.texi:28144: Unmatched }.

Here is my makeinfo version:

  sh-3.00$ /usr/bin/makeinfo --version
  makeinfo (GNU texinfo) 4.7

Following change fixes the problem for me which merely combines two
lines so that the argument to @math{} is in one line:

=== modified file 'doc/misc/calc.texi'
--- doc/misc/calc.texi	2011-02-07 01:35:09 +0000
+++ doc/misc/calc.texi	2011-02-07 01:45:51 +0000
@@ -28140,8 +28140,7 @@
 @texline @math{20 \mu{\rm Pa}}
 (the threshhold of human hearing) is 
 @infoline @math{20 log10(60 uPa/ 20 uPa) dB = 20 log10(3) dB},
-@texline  @math{20 \log_{10}(60 \mu{\rm Pa}/20 \mu{\rm Pa}) {\rm dB} =
-20 \log_{10}(3) {\rm dB}},
+@texline  @math{20 \log_{10}(60 \mu{\rm Pa}/20 \mu{\rm Pa}) {\rm dB} = 20 \log_{10}(3) {\rm dB}},
 which is about 
 @infoline @math{9.54 dB}.
 @texline @math{9.54 {\rm dB}}.